# Class SinglePointGesture

java.lang.Object
org.jmol.multitouch.sparshui.SinglePointGesture

All Implemented Interfaces:
  `Gesture`

public class SinglePointGesture extends Object implements Gesture
SINGLE_POINT_GESTURE only passes single-touch gestures. allows detection of click and double-click

## Constructor Summary

Constructors
Constructor
Description
`SinglePointGesture()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getGestureType()`
Get the integer value of this gesture type.
`String`
`getName()`
Get the name of this gesture.
`List<Event>`
`processChange(List<TouchPoint> touchPoints, TouchPoint changedTouchPoint)`
incorporates double-click gesture

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SinglePointGesture

public SinglePointGesture()

## Method Details

### getName

public String getName()
Description copied from interface: `Gesture`
Get the name of this gesture.

Specified by:
  `getName` in interface `Gesture`
Returns:
  The name of this gesture.

### getGestureType

public int getGestureType()
Description copied from interface: `Gesture`
Get the integer value of this gesture type. Gesture values are defined in GestureType.java.

Specified by:
  `getGestureType` in interface `Gesture`
Returns:
  The gesture type.

### processChange

public List<Event> processChange(List<TouchPoint> touchPoints, TouchPoint changedTouchPoint)
incorporates double-click gesture

Specified by:
  `processChange` in interface `Gesture`
Parameters:
  `touchPoints` -
  `changedTouchPoint` -
Returns:
  Vector of Events